org.bdgenomics.adam.rdd.variation

# ConcordanceTable

#### class ConcordanceTable extends AnyRef

Helper class for maintaining the genotype concordance table and computing the relevant metrics. Table is indexed by genotype zygosity. Many of the metrics are based on the GATK GenotypeConcordance Walker Table is organized as test vs. truth, i.e. rows correspond to "test" genotypes, columns to "truth" genotypes.

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ConcordanceTable
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ConcordanceTable()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def add(that: ConcordanceTable): ConcordanceTable

   Add that ConcordanceTable into this table.

   Add that ConcordanceTable into this table.

   that

     ConcordanceTable

   returns

     this

7. #### def add(p: (GenotypeType, GenotypeType)): ConcordanceTable

   Add single genotype-genotype comparison into this table.

   Add single genotype-genotype comparison into this table.

   p

     Tuple of (test, truth) GenotypeType

   returns

     this

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def concordance: Double

    Overally genotype concordance, or the percentage of identical genotypes (including homozygous reference calls)

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### def get(test: GenotypeType, truth: GenotypeType): Long

    Get single table entry at (test, truth)

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def nonReferenceConcordance: Double

    Non-reference concordance or NRC is similar to NRS, but requires strict zygosity matching in the numerator.

20. #### def nonReferenceDiscrepancy: Double

    Non-reference discrepancy is a measure of discrepant calls, excluding matching homozygous reference genotypes, which are easier to call.

21. #### def nonReferenceSensitivity: Double

    Non-reference sensitivity or NRS is a site-level variant sensitivity metric.

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def precision: Double

    Precision metric.

    Precision metric. This metric is similar to NRC but with "test" and "truth" reversed.

25. #### def recall: Double

    Alias for nonReferenceConcordance

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### def total(test: EnumSet[GenotypeType], truth: EnumSet[GenotypeType]): Long

    Total of all entries indexed by the cartesian product of test and truth

29. #### def total(diagonal: EnumSet[GenotypeType]): Long

30. #### def total(): Long

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped